// file      : xsd-frontend/semantic-graph/element.cxx
// author    : Boris Kolpackov <boris@codesynthesis.com>
// copyright : Copyright (c) 2005 Code Synthesis Tools CC
// license   : GNU GPL v2 + exceptions; see accompanying LICENSE file

#include <xsd-frontend/semantic-graph/element.hxx>

namespace XSDFrontend
{
  namespace SemanticGraph
  {
    namespace RTTI = Cult::RTTI;

    using RTTI::Access;
    using RTTI::TypeInfo;

    namespace
    {
      struct ElementInit
      {
        ElementInit ()
        {
          TypeInfo ti (typeid (Element));
          ti.add_base (Access::public_, true, typeid (Member));
          RTTI::insert (ti);
        }

      } element_init_;
    }

    Element::
    Element (Path const& file,
             UnsignedLong line,
             UnsignedLong column,
             UnsignedLong min,
             UnsignedLong max,
             Boolean qualified)
        : Node (file, line, column),
          Member (min, max, qualified)
    {
    }
  }
}
